ansible/test/integration/targets/inventory_docker_swarm/runme.sh
Felix Fontein 259b2e06a4 docker_swarm inventory plugin: add basic integration tests (#53908)
* Add basic docker_swarm inventory plugin integration tests.

* Call dependency explicitly.
2019-03-17 08:16:18 +00:00

20 lines
404 B
Bash
Executable file

#!/usr/bin/env bash
[[ -n "$DEBUG" || -n "$ANSIBLE_DEBUG" ]] && set -x
set -euo pipefail
cleanup() {
echo "Cleanup"
ansible-playbook playbooks/swarm_cleanup.yml
echo "Done"
exit 0
}
trap cleanup INT TERM EXIT
echo "Setup"
ansible-playbook playbooks/swarm_setup.yml
echo "Test docker_swarm inventory 1"
ansible-playbook -i inventory_1.docker_swarm.yml playbooks/test_inventory_1.yml